Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.databinding.index
Class EMFIndexedValueProperty_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.databinding.index.EMFIndexedValueProperty_Test

    public class EMFIndexedValueProperty_Test

extends Object

JUnit test cases for `EMFIndexedValueProperty`.

Author:
  Lucas Koehler

Constructor Summary
`EMFIndexedValueProperty_Test()`

Method Summary
`void` | `testDoGetValue()` Test method for `EMFIndexedValueProperty.doGetValue(java.lang.Object)` .
`void` | `testDoGetValueNull()` Test method for `EMFIndexedValueProperty.doGetValue(java.lang.Object)` .
`void` | `testDoSetValueObjectAdd()` Test method for `EMFIndexedValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .
`void` | `testDoSetValueObjectIndexTooBig()` Test method for `EMFIndexedValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .
`void` | `testDoSetValueObjectReplace()` Test method for `EMFIndexedValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .
`void` | `testEMFIndexedValuePropertyNegativeIndex()` Test method for `EMFIndexedValueProperty.EMFIndexedValueProperty(org.eclipse.emf.edit.domain.EditingDomain,int, org.eclipse.emf.ecore.EStructuralFeature)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFIndexedValueProperty_Test

    public EMFIndexedValueProperty_Test()

Method Detail

### testEMFIndexedValuePropertyNegativeIndex

    public void testEMFIndexedValuePropertyNegativeIndex()

  Test method for `EMFIndexedValueProperty.EMFIndexedValueProperty(org.eclipse.emf.edit.domain.EditingDomain,int, org.eclipse.emf.ecore.EStructuralFeature)` .

### testDoGetValueNull

    public void testDoGetValueNull()

  Test method for `EMFIndexedValueProperty.doGetValue(java.lang.Object)` .

### testDoGetValue

    public void testDoGetValue()

  Test method for `EMFIndexedValueProperty.doGetValue(java.lang.Object)` .

### testDoSetValueObjectReplace

    public void testDoSetValueObjectReplace()

  Test method for `EMFIndexedValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .

### testDoSetValueObjectAdd

    public void testDoSetValueObjectAdd()

  Test method for `EMFIndexedValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .

### testDoSetValueObjectIndexTooBig

    public void testDoSetValueObjectIndexTooBig()

  Test method for `EMFIndexedValueProperty.doSetValue(java.lang.Object, java.lang.Object)` .

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.